.wrapper {
  width: 90%;
  margin: 0 auto;
}

header {
  margin-top: 20px;
  margin-bottom: 20px;
  display: flex;
  justify-content: space-between;
}

.fa {
  transform: scale(1.3, 1.3);
}


nav {
  display: none;
}

.index-mens-outerwear-image {
  background-image: url("../images/mens_outerwear.jpg");
  width: 100%;
  background-position: center;
  background-size: cover;
  height: 240px;
}

.mens-outerwear h2 {
  margin: 32px 0;
  font-size: 1.3em;
  font-weight: 500;
}

.mens-outerwear a {
  text-decoration: none;
}

.mens-outerwear article {
  margin: 15px auto;
  border: 2px solid black;
  width: 100px;
  color: black;
  text-align: center;
}

.ladies-outerwear-image {
  margin-top: 35px;
  margin-bottom: 20px;
  background-image: url("../images/ladies_outerwear.jpg");
  background-position: center;
  background-size: cover;
  height: 240px;
}

.ladies-outerwear h2 {
  margin: 20px 0;
}

.ladies-outerwear article {
  margin: 15px auto;
  border: 2px solid black;
  width: 100px;
  text-align: center;
}

.tshirt-images {
  display: flex;
}

.mens-tshirt-image {
  margin-top: 35px;
  margin-bottom: 20px;
  background-image: url("../images/mens_tshirts.jpg");
  background-position: center;
  background-size: cover;
  height: 240px;
  flex: 1;
}

.ladies-tshirt-image {
  margin-top: 35px;
  margin-bottom: 20px;
  background-image: url("../images/ladies_tshirts.jpg");
  background-position: center;
  background-size: cover;
  height: 240px;
  flex: 1;
}

.tshirt-text-content {
  display: flex;
}

.mens-tshirt {
  flex: 1;
}

.ladies-tshirt {
  flex: 1;
}

.mens-tshirt h2 {
  margin: 20px 0;
}

.ladies-tshirt h2 {
  margin: 20px 0;
}

.mens-tshirt article {
  margin: 15px auto;
  border: 2px solid black;
  width: 100px;
  text-align: center;
}

.ladies-tshirt article {
  margin: 15px auto;
  border: 2px solid black;
  width: 100px;
  text-align: center;
}

footer {
  margin-top: 30px;
  text-align: center;
}

#footer-note {
  margin-bottom: 15px;
}

#footer-bar {
  margin: 0 auto;
  width: 108px;
}

.subheader {
  text-align: center;
}

.subheader-text {
  margin-top: 30px;
  margin-bottom: 10px;
}

.number-of-items {
  margin-bottom: 30px;
  margin-top: 10px;
}

.item-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-column-gap: 10px;
}

.item-list a {
  text-decoration: none;
}

.item-name {
  color: black;
}

.mens-outerwear-image {
  background-image: url(../images/mens-outerwear/10-14133B.jpg);
  margin: 10px auto;
  width: 100%;
  height: 140px;
  padding-bottom: 75%;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.item-price {
  margin-top: 5px;
}

.item-description-image img {
  width: 100%;
  align-self: center;
}

.item-description-image {
  margin: 0 auto;
  object-fit: contain;
  text-align: center;
}


.item-description-name {
  margin: 10px 0;
}

.item-price {
  margin: 10px 0 40px 0;
}

hr {
  margin: 20px 0;
}

.size, .quantity {
  display: flex;
}

.size p {
  margin-right: 63px;
}

.quantity p {
  margin-right: 40px;
}

.description h2 {
  margin-top: 30px;
  margin-bottom: 20px;
}

.description p {
  margin-top: 20px;
  margin-bottom: 20px;
}

.description ul li {
  margin-top: 10px;
  margin-bottom: 10px;
}

.band-gap {
  height: 100px;
}

.item-description-footer {
  width: 100%;
  height: 20px;
  position: fixed;
  bottom: 0;
}

.cart-item-details {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-auto-rows: repeat(4, 1fr);
}

.cart-item-image {
  grid-area: 1 / 1 / 4 / 3;
}

.cart-item-image img {
  height: 72px;
  width: 72px;
}

.cart-item-name {
  grid-area: 1 / 3 / 2 / 7;
  color: black;
}

.cart-item-quantity {
  grid-area: 2 / 3 / 3 / 4;
}

.custom-select {
  grid-area: 2 / 4 / 3 / 5;
}

.cart-item-size {
  grid-area: 3 / 3 / 4 / 4;
}

.cart-item-size-value {
  grid-area: 3 / 4 / 4 / 5;
}

.cart-item-price {
  grid-area: 4 / 3 / 5 / 5;
}

.fa-times {
  grid-area: 1 / 8 / 2 / 9;
  text-align: right;
}

.cart-total-price {
  display: flex;
  justify-content: flex-end;
  margin-top: 30px;
}

.cart-total-price p {
  margin-left: 20px;
}

.account-information {
  position: relative;
  height: 150px;
  padding: 20px 0;
}

.shipping-address {
  position: relative;
  height: 230px;
  padding: 20px 0;
  margin-bottom: 40px;
}

.billing-address {
  position: relative;
  height: 250px;
  padding: 20px 0;
}

.payment-method {
  position: relative;
  height: 230px;
  padding: 20px 0;
}

.email-textbox {
  position: absolute;
  top: 40px;
  width: 100%;
  transition: all 0.3s ease-out;
}

.email-label {
  position: absolute;
  top: 40px;
  transition: all 0.3s ease-out;
}

.phone-textbox {
  position: absolute;
  top: 100px;
  width: 100%;
  transition: all 0.3s ease-out;
}

.phone-label {
  position: absolute;
  top: 100px;
  transition: all 0.3s ease-out;
}

.email-textbox:focus~.email-label, .email-textbox:valid~.email-label {
  top: 20px;
  font-size: 0.8em;
  color: black;
}

.email-textbox:focus, .email-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 100%;
}

.phone-textbox:focus~.phone-label, .phone-textbox:valid~.phone-label {
  top: 80px;
  font-size: 0.8em;
  color: black;
}

.phone-textbox:focus, .phone-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 100%;
}

.address-textbox {
  position: absolute;
  top: 40px;
  width: 100%;
  transition: all 0.3s ease-out;
}

.address-label {
  position: absolute;
  top: 40px;
  transition: all 0.3s ease-out;
}

.city-textbox {
  position: absolute;
  top: 100px;
  width: 100%;
  transition: all 0.3s ease-out;
}

.city-label {
  position: absolute;
  top: 100px;
  transition: all 0.3s ease-out;
}

.state-textbox {
  position: absolute;
  top: 160px;
  width: 48%;
  transition: all 0.3s ease-out;
}

.state-label {
  position: absolute;
  top: 160px;
  transition: all 0.3s ease-out;
}

.zip-textbox {
  position: absolute;
  top: 160px;
  left: 50%;
  width: 50%;
  transition: all 0.3s ease-out;
}

.zip-label {
  position: absolute;
  top: 160px;
  left: 50%;
  transition: all 0.3s ease-out;
}

.checkout-country-select {
  position: absolute;
  width: 100%;
  top: 210px;
}

.checkout-country-select label {
  display: block;
  padding: 10px 0;
}

.checkout-country-select select {
  display: block;
  width: 100%;
}

.address-textbox:focus~.address-label, .address-textbox:valid~.address-label {
  top: 20px;
  font-size: 0.8em;
  color: black;
}

.address-textbox:focus, .address-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 100%;
}

.city-textbox:focus~.city-label, .city-textbox:valid~.city-label {
  top: 80px;
  font-size: 0.8em;
  color: black;
}

.city-textbox:focus, .city-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 100%;
}

.state-textbox:focus~.state-label, .state-textbox:valid~.state-label {
  top: 130px;
  font-size: 0.8em;
  color: black;
}

.state-textbox:focus, .state-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 48%;
}

.zip-textbox:focus~.zip-label, .zip-textbox:valid~.zip-label {
  top: 130px;
  font-size: 0.8em;
  color: black;
}

.zip-textbox:focus, .zip-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 50%;
}

.cardholder-textbox {
  position: absolute;
  top: 40px;
  width: 100%;
  transition: all 0.3s ease-out;
}

.cardholder-label {
  position: absolute;
  top: 40px;
  transition: all 0.3s ease-out;
}

.card-number-textbox {
  position: absolute;
  top: 100px;
  width: 100%;
  transition: all 0.3s ease-out;
}

.card-number-label {
  position: absolute;
  top: 100px;
  transition: all 0.3s ease-out;
}

.card-expiry-label {
  position: absolute;
  top: 160px;
}

.checkout-month-select {
  position: absolute;
  top: 200px;
}

.checkout-year-select {
  position: absolute;
  top: 200px;
  left: 30%;
}

.cvv-textbox {
  position: absolute;
  top: 200px;
  left: 60%;
  width: 40%;
  transition: all 0.3s ease-out;
}

.cvv-label {
  position: absolute;
  top: 200px;
  left: 60%;
  transition: all 0.3s ease-out;
}

.cardholder-textbox:focus~.cardholder-label, .cardholder-textbox:valid~.cardholder-label {
  top: 20px;
  font-size: 0.8em;
  color: black;
}

.cardholder-textbox:focus, .cardholder-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 100%;
}

.card-number-textbox:focus~.card-number-label, .card-number-textbox:valid~.card-number-label {
  top: 80px;
  font-size: 0.8em;
  color: black;
}

.card-number-textbox:focus, .card-number-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 100%;
}

.cvv-textbox:focus~.cvv-label, .cvv-textbox:valid~.cvv-label {
  top: 180px;
  font-size: 0.8em;
  color: black;
}

.cvv-textbox:focus, .cvv-textbox:valid {
  outline: none;
  border-bottom: 2px solid black;
  width: 40%;
}

.order-summary {
  display: flex;
  justify-content: space-between;
}

.checkout-place-order {
  display: none;
  height: 35px;
  width: 192px;
  background: transparent;
  border: none;
  border: 2px solid black;
}

.checkout-footer {
  width: 100%;
  height: 20px;
  position: fixed;
  bottom: 0;
  background-color: #172C50;
  color: white;
  padding: 20px 0;
  margin-top: 20px;
  z-index: 2;
}

.checkout-buffer {
  height: 100px;
}
